stl_list.h File Reference

Go to the source code of this file.

## Classes

struct | std::__detail::_List_node_base
class | std::_List_base< _Tp, _Alloc >
struct | std::_List_const_iterator< _Tp >
struct | std::_List_iterator< _Tp >
struct | std::_List_node< _Tp >
class | std::list< _Tp, _Alloc >

## Namespaces

| std
| std::__detail

## Functions

template<typename _Val >
bool | std::operator!= (const _List_iterator< _Val > &__x, const _List_const_iterator< _Val > &__y) noexcept
template<typename _Tp , typename _Alloc >
bool | std::operator!= (const list< _Tp, _Alloc > &__x, const list< _Tp, _Alloc > &__y)
template<typename _Tp , typename _Alloc >
bool | std::operator< (const list< _Tp, _Alloc > &__x, const list< _Tp, _Alloc > &__y)
template<typename _Tp , typename _Alloc >
bool | std::operator<= (const list< _Tp, _Alloc > &__x, const list< _Tp, _Alloc > &__y)
template<typename _Val >
bool | std::operator== (const _List_iterator< _Val > &__x, const _List_const_iterator< _Val > &__y) noexcept
template<typename _Tp , typename _Alloc >
bool | std::operator== (const list< _Tp, _Alloc > &__x, const list< _Tp, _Alloc > &__y)
template<typename _Tp , typename _Alloc >
bool | std::operator> (const list< _Tp, _Alloc > &__x, const list< _Tp, _Alloc > &__y)
template<typename _Tp , typename _Alloc >
bool | std::operator>= (const list< _Tp, _Alloc > &__x, const list< _Tp, _Alloc > &__y)
template<typename _Tp , typename _Alloc >
void | std::swap (list< _Tp, _Alloc > &__x, list< _Tp, _Alloc > &__y)

## Detailed Description

This is an internal header file, included by other library headers. Do not attempt to use it directly. Instead, include <list>.

Definition in file stl_list.h.